Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.knowgate.lucene
Class MailRecord

    java.lang.Object
      com.knowgate.lucene.MailRecord

    public class MailRecord

extends java.lang.Object

Nested Class Summary
`static class` | `MailRecord.CompareAuthor`
`static class` | `MailRecord.CompareDateSent`
`static class` | `MailRecord.CompareFolder`
`static class` | `MailRecord.CompareSize`
`static class` | `MailRecord.CompareSubject`

Constructor Summary
`MailRecord()`
`MailRecord(java.lang.String sGuid, java.lang.String sSubject, java.lang.String sAuthor, java.lang.String sDate, java.lang.String sSize, java.lang.String sNumber, java.lang.String sFolder)`

Method Summary
`java.lang.String` | `getAuthor()`
`java.util.Date` | `getDateCreated()`
`java.lang.String` | `getDateCreatedAsString()`
`java.util.Date` | `getDateSent()`
`java.lang.String` | `getFolderName()`
`java.lang.String` | `getGuid()`
`int` | `getNumber()`
`int` | `getSize()`
`java.lang.String` | `getSubject()`
`void` | `setAuthor(java.lang.String sAuthor)`
`void` | `setDateCreated(java.util.Date oDtCreated)`
`void` | `setFolderName(java.lang.String sFolderName)`
`void` | `setGuid(java.lang.String sGuid)`
`void` | `setSubject(java.lang.String sSubject)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailRecord

    public MailRecord()

### MailRecord

    public MailRecord(java.lang.String sGuid,
                      java.lang.String sSubject,
                      java.lang.String sAuthor,
                      java.lang.String sDate,
                      java.lang.String sSize,
                      java.lang.String sNumber,
                      java.lang.String sFolder)

Method Detail

### getFolderName

    public java.lang.String getFolderName()

### getDateSent

    public java.util.Date getDateSent()

### getNumber

    public int getNumber()
                  throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getSize

    public int getSize()
                throws java.lang.NumberFormatException

  Throws:
    `java.lang.NumberFormatException`

### getGuid

    public java.lang.String getGuid()

### getSubject

    public java.lang.String getSubject()

### getAuthor

    public java.lang.String getAuthor()

### getDateCreated

    public java.util.Date getDateCreated()

### getDateCreatedAsString

    public java.lang.String getDateCreatedAsString()

### setFolderName

    public void setFolderName(java.lang.String sFolderName)

### setGuid

    public void setGuid(java.lang.String sGuid)

### setSubject

    public void setSubject(java.lang.String sSubject)

### setAuthor

    public void setAuthor(java.lang.String sAuthor)

### setDateCreated

    public void setDateCreated(java.util.Date oDtCreated)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD